DMESG(1)

NOM
dmesg - Afficher et contrôler le tampon circulaire du noyau

SYNOPSIS

dmesg [options]

dmesg --clear

dmesg --read-clear [options]

dmesg --console-level niveau

dmesg --console-on

dmesg --console-off

DESCRIPTION

dmesg est utilisé pour examiner ou contrôler le tampon circulaire du noyau.

L’action par défaut est d’afficher tous les messages du tampon circulaire du noyau.

OPTIONS

Les options --clear, --read-clear, --console-on, --console-off et --console-level sont mutuellement exclusives.

-C, --clear
    Vider le tampon circulaire du noyau.

-c, --read-clear
    Vider le tampon circulaire du noyau après avoir affiché son contenu.

-D, --console-off
    Désactiver l’affichage des messages sur la console.

-d, --show-delta
    Afficher l’horodatage et la différence de temps passé entre les messages. Si --notime est utilisé en même temps, seule la différence de temps passé, sans l’horodatage, est affichée.

-E, --console-on
    Activer l’affichage des messages sur la console.

-e, --reltime
    Afficher l’heure locale et le delta dans un format lisible par un humain. Gardez à l’esprit que la conversion en heure locale pourrait ne pas être exacte (voir -T pour plus de détails).

-F, --file fichier
    Lire les messages de syslog à partir du fichier donné. Remarquez que -F ne gère pas les messages au format kmsg. Seul l’ancien format de syslog est pris en charge.

-f, --facility liste
    Restreindre l’affichage à la liste de services (séparés par des virgules) indiquée. Par exemple

    dmesg --facility=daemon

    n’affichera que les messages des démons du système. Consultez dmesg --help pour obtenir la liste des services pris en charge.

-H, --human
    Activer la sortie lisible. Consultez aussi --color, --reltime et --nopager.

-J, --json
    Use JSON output format. The time output format is in "sec.usec" format only, log priority level is not decoded by default (use --decode to split into facility and priority), the other options to control the output format or time format are silently ignored.

-k, --kernel
    Afficher les messages du noyau.

-L, --color[=quand]
    Colorer la sortie. L’argument facultatif quand peut être auto, never ou always. En l’absence d’argument quand, auto est la valeur par défaut. Les couleurs peuvent être désactivées ; pour les valeurs par défaut, consultez la sortie de la commande avec --help. Consultez également la section COULEURS.

-l, --level liste
    Restreindre l’affichage à la liste de niveaux (séparés par des virgules) indiquée. Par exemple

    dmesg --level=err,warn

    n’affichera que les messages d’erreur et d’avertissement. Consultez dmesg --help pour obtenir la liste des niveaux pris en charge.

    Appending a plus + to a level name also includes all higher levels. For example:

    dmesg --level=err+

    will print levels err, crit, alert and emerg.

    Prepending it will include all lower levels.

-n, --console-level niveau
    Définir le niveau d’affichage des messages en console. Le niveau est un numéro ou une abréviation du nom de niveau. Consultez dmesg --help pour obtenir la liste des niveaux pris en charge.

    Par exemple, -n 1 ou -n emerg suppriment l’affichage sur la console de tous les messages, sauf les messages d’urgence (panic). Tous les niveaux d’affichage des messages sont enregistrés dans /proc/kmsg, ainsi syslogd(8) peut toujours être utilisé pour contrôler exactement où les messages du noyau apparaissent. Quand l’option -n est utilisée, dmesg n’affichera pas et n’effacera pas le tampon circulaire du noyau.

--noescape
    Par défaut, les caractères non imprimables et probablement dangereux (comme des séquences multi-octales cassées, des caractères de contrôle du terminal, etc.) sont échappés au format \x<hex> pour des raisons de sécurité. Cette option désactive complètement cette fonctionnalité. On peut l’utiliser, par exemple, à des fins de débogage avec --raw. Soyez prudent et ne l’utilisez pas par défaut.

-P, --nopager
    Ne pas renvoyer la sortie dans un visualiseur. Un visualiseur est activé par défaut pour la sortie --human.

-p, --force-prefix
    Ajouter des informations sur la fonction, le niveau ou l’horodatage sur chaque ligne d’un message de plusieurs lignes.

-r, --raw
    Afficher le tampon de message tel quel, c’est-à-dire, ne pas supprimer les préfixes des niveaux de journal, par contre tous les caractères non imprimables sont échappés (voir aussi --noescape).

    Remarquez que le véritable format brut dépend de la méthode utilisée par dmesg pour lire les messages du noyau. Le périphérique /dev/kmsg utilise un format différent de syslog(2). Pour assurer la rétrocompatibilité, dmesg renvoie toujours les données au format de syslog(2). Lire le véritable format brut de /dev/kmsg est possible avec, par exemple, la commande « dd if=/dev/kmsg iflag=nonblock ».

-S, --syslog
    Forcer dmesg à utiliser l’interface syslog(2) du noyau pour lire les messages du noyau. /dev/kmsg est utilisé par défaut au lieu de syslog(2) depuis le noyau 3.5.0.

-s, --buffer-size taille
    Utiliser un tampon de la taille indiquée pour les requêtes au tampon circulaire du noyau au lieu de la taille par défaut (16392 octets) (la taille par défaut du tampon pour le journal système du noyau était 4096 au départ, puis 8192 à partir du noyau 1.3.54, et 16384 depuis la version 2.1.113). Si vous avez augmenté la taille du tampon du noyau par rapport à sa valeur par défaut, cette option peut être utilisée pour afficher le tampon en entier.

-T, --ctime
    Afficher l’horodatage dans un format lisible.

    Attention, l’horodatage pourrait être inexact ! L’origine des temps utilisée pour les journaux n’est pas mise à jour après un retour de veille du système (SUSPEND/RESUME). L’horodatage est ajusté en fonction du décalage actuels entre l’heure de démarrage et les horloges monotoniques, cela ne fonctionne que pour les messages affichés après le dernier réveil.

--since heure
    Display record since the specified time. Supported is the subsecond granularity. The time is possible to specify in absolute way as well as by relative notation (e.g. '1 hour ago'). Be aware that the timestamp could be inaccurate and see --ctime for more details.

--until heure
    Display record until the specified time. Supported is the subsecond granularity. The time is possible to specify in absolute way as well as by relative notation (e.g. '1 hour ago'). Be aware that the timestamp could be inaccurate and see --ctime for more details.

-t, --notime
    Ne pas afficher l’horodatage du noyau.

--time-format format
    Afficher les horodatages en utilisant le format indiqué, qui peut être ctime, reltime, delta ou iso. Les trois premiers formats sont des alias des options spécifiques au format de date. Le format iso est une implémentation dmesg du format d’horodatage ISO-8601. Le but de ce format est de faciliter la comparaison d’horodatages entre deux systèmes ainsi que tout autre analyse. La définition de l’horodatage iso est : AAAA-MM-JJ<TE>HH:MM:SS,<microsecondes>←+<décalage du fuseau horaire par rapport à UTCE>.

    Le format iso a le même problème que ctime : la date pourrait être inexacte après un retour de veille du système.

-u, --userspace
    Afficher les messages en espace utilisateur.

-w, --follow
    Attendre de nouveaux messages. Cette fonctionnalité n’est prise en charge que sur les systèmes avec un /dev/kmsg lisible (depuis le noyau 3.5.0).

-W, --follow-new
    Attendre et n’afficher que les nouveaux messages.

-x, --decode
    Décoder les numéros de service et de niveau (priorité) en préfixes lisibles.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

COULEURS

La colorisation de la sortie est implémentée grâce aux fonctionnalités de terminal-colors.d(5). La colorisation implicite peut être désactivée via un fichier vide

    /etc/terminal-colors.d/{commande}.disable

pour la commande {commande} ou pour tous les outils par

    /etc/terminal-colors.d/disable

$XDG_CONFIG_HOME/terminal-colors.d_ ou $HOME/.config/terminal-colors.d spécifiques à l’utilisateur remplacent les réglages globaux.

Notez que la colorisation de la sortie peut être activée par défaut. Dans ce cas, les répertoires terminal-colors.d n’existent pas forcément automatiquement.

Les noms de couleurs logiques pris en charge par dmesg sont les suivantes :

subsys
    Le préfixe de sous-système du message (par exemple, « ACPI »).

time
    L’horodatage du message.

timebreak
    L’horodatage du message au format ctime court dans les sorties avec --reltime ou --human.

alert
    Le texte du message avec la priorité de journalisation d’alerte.

crit
    Le texte du message avec la priorité de journalisation critique.

err
    Le texte du message avec la priorité de journalisation d’erreur.

warn
    Le texte du message avec la priorité de journalisation d’avertissement.

segfault
    Le texte du message qui informe d’une erreur de segmentation.

CODE DE RETOUR

dmesg peut échouer en signalant une erreur de permission non accordée. Cela est dû, en général à l’option dmesg_restrict du noyau, veuillez vous reporter à syslog(2) pour plus de détails.

AUTEURS

dmesg a été écrit à l’origine par

VOIR AUSSI

terminal-colors.d(5), syslogd(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande dmesg fait partie du paquet util-linux, elle est disponible sur